Appearance
Get One File Storage
GET/public/storage/file/{fileId}Retrieve detailed information of a specific file stored in your storage.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Addon Storage
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
fileId | string | Yes | The unique ID of the file. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/storage/file/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from "axios";
const fileId = "680affa5ce12f2f72916f67e";
const response = await axios.get(
`https://api.repliz.com/public/storage/file/${fileId}`,
{
auth: {
username: "YOUR_ACCESS_KEY",
password: "YOUR_SECRET_KEY",
},
},
);
console.log(response.data);javascript
const credentials = btoa("YOUR_ACCESS_KEY:YOUR_SECRET_KEY");
const fileId = "680affa5ce12f2f72916f67e";
const response = await fetch(
`https://api.repliz.com/public/storage/file/${fileId}`,
{
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
{
"_id": "6a4c3a3bc4586b1f1ce483e4",
"filename": "filename.mp4",
"mimetype": "video/mp4",
"size": 102400,
"key": "uploads/6879b98097fc8c8a78d1d4c1/0dcb2544-bbc8-4b42-a2e3-0449133ef58f.mp4",
"url": "https://storage.repliz.com/uploads/6879b98097fc8c8a78d1d4c1/0dcb2544-bbc8-4b42-a2e3-0449133ef58f.mp4",
"status": "pending",
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-07-06T23:28:59.836Z",
"updatedAt": "2026-07-06T23:28:59.836Z",
"__v": 0,
"id": "6a4c3a3bc4586b1f1ce483e4"
}json
{
"code": 404,
"message": "file not found"
}json
{
"code": 401,
"message": "unauthorized"
}